import Qt 4.7
import com.nokia.meego 1.0

import "UIConstants.js" as UI

Page {
    id:waitingScreenPage
    orientationLock: PageOrientation.LockPortrait

    Timer {
        id:timerId
        interval: 500; running: true; repeat: true
        onTriggered: {
            if(rootWindow.loadingSdkToEdit === true)
            {
                pageStack.pop();
                //pageStack.push("qrc:/qml_files/SdkConnectivityScreen.qml");
                rootWindow.loadingSdkToEdit=false;
            }
        }
    }


    Label {
        id: displayModule
        text: "Saving..."
        anchors.top: indicator.bottom
        anchors.topMargin: UI.DEFAULT_MARGIN
        anchors.horizontalCenter: parent.horizontalCenter

        font.bold: true
        platformStyle: LabelStyle {
            fontFamily: UI.FONT_FAMILY
            fontPixelSize: UI.FONT_XLARGE
        }
        color: "#FFFFFF"
    }

    BusyIndicator {
        id: indicator
        style: BusyIndicatorStyle { size: "large" }
        anchors.centerIn: parent
        running: true
    }




}
