#ifndef COMMON_H
#define COMMON_H

#include <QObject>
#include <QDebug>

#define DIN qDebug() << ">>" << __FILE__ << __LINE__ << __PRETTY_FUNCTION__
#define DOUT qDebug() << "<<" << __FILE__ << __LINE__ << __PRETTY_FUNCTION__

#define NULLCHECK(x) if ((x)==NULL) { qWarning() << __FILE__ << __LINE__ << __PRETTY_FUNCTION__ << (x) << "was null, returning.."; return; }
#define NULLCHECK_INT(x) if ((x)==NULL) { qWarning() << __FILE__ << __LINE__ << __PRETTY_FUNCTION__ << (x) << "was null, returning.."; return -1; }
#define NULLCHECK_STR(x) if ((x)==NULL) { qWarning() << __FILE__ << __LINE__ << __PRETTY_FUNCTION__ << (x) << "was null, returning.."; return ""; }

#endif // COMMON_H
