#ifndef _PASSWD_H_
#define _PASSWD_H_

#include <QObject>
#include "common.h"

class ProcessRunner;
class Passwd : public QObject
{
	Q_OBJECT
public:
        Passwd(QObject *obj);
        ~Passwd();

	void generate(void);

public slots:
	void dataAvailable(int exitCode);
	void reset(void);

signals:
        void passwordAvailable(QString &password);

private:

        ProcessRunner *m_runner;
        bool passwordReset;
};
#endif
